<?php
// Include the database connection file
require_once("conn.php");

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Extract the form data
    $event_title = $_POST['event_title'];
    $event_theme = $_POST['event_theme'];
    $event_date = $_POST['event_date'];
    $event_location = $_POST['event_location'];
    $nigerians_link = $_POST['nigerians_link'];
    $foreigners_link = $_POST['foreigners_link'];
    $ticket_price = $_POST['ticket_price'];

    // Handle file upload for event image
    $event_image_path = "events"; // Initialize the variable
    if ($_FILES['event_image']['size'] > 0) {
        $target_dir = "uploads/";
        $target_file = $target_dir . basename($_FILES["event_image"]["name"]);
        move_uploaded_file($_FILES["event_image"]["tmp_name"], $target_file);
        $event_image_path = $target_file;
    }

    try {
        // Prepare SQL statement
        $stmt = $conn->prepare("INSERT INTO events (event_title, event_theme, event_date, event_location, event_image, nigerians_link, foreigners_link, ticket_price) VALUES (:event_title, :event_theme, :event_date, :event_location, :event_image, :nigerians_link, :foreigners_link, :ticket_price)");

        // Bind parameters
        $stmt->bindParam(':event_title', $event_title);
        $stmt->bindParam(':event_theme', $event_theme);
        $stmt->bindParam(':event_date', $event_date);
        $stmt->bindParam(':event_location', $event_location);
        $stmt->bindParam(':event_image', $event_image_path);
        $stmt->bindParam(':nigerians_link', $nigerians_link);
        $stmt->bindParam(':foreigners_link', $foreigners_link);
        $stmt->bindParam(':ticket_price', $ticket_price);

        // Execute the statement
        $stmt->execute();

        // Redirect to the page where events are displayed
        header("Location: index.php");
        exit();
    } catch (PDOException $e) {
        // Display an error message if something goes wrong
        echo "Error: " . $e->getMessage();
    }
}
?>
