<?php
// Include the conn.php file
require_once 'conn.php';

// Define variables to hold alert message and type
$alert_message = "";
$alert_type = "";

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Collect form data
    $title = $_POST["title"];
    $subtitle = $_POST["subtitle"];
    $link = $_POST["link"];

    // File upload handling
    $target_dir = "uploads/"; // Directory where uploaded images will be stored
    $target_file = $target_dir . basename($_FILES["image"]["name"]);
    $uploadOk = 1;
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));

    // Check if image file is a actual image or fake image
    if (isset($_POST["submit"])) {
        $check = getimagesize($_FILES["image"]["tmp_name"]);
        if ($check !== false) {
            $uploadOk = 1;
        } else {
            $alert_message = "File is not an image.";
            $alert_type = "danger";
            $uploadOk = 0;
        }
    }

    // Check if file already exists
    if (file_exists($target_file)) {
        $alert_message = "Sorry, file already exists.";
        $alert_type = "danger";
        $uploadOk = 0;
    }

    // Check file size
    if ($_FILES["image"]["size"] > 500000) {
        $alert_message = "Sorry, your file is too large.";
        $alert_type = "danger";
        $uploadOk = 0;
    }

    // Allow certain file formats
    if ($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
        && $imageFileType != "gif") {
        $alert_message = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
        $alert_type = "danger";
        $uploadOk = 0;
    }

    // Check if $uploadOk is set to 0 by an error
    if ($uploadOk == 0) {
        $alert_message = "Sorry, your file was not uploaded.";
        $alert_type = "danger";
    } else {
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            // Prepare and execute SQL statement to insert data into the database
            $sql = "INSERT INTO slides (image_url, title, subtitle, link) VALUES (:image_url, :title, :subtitle, :link)";
            $stmt = $conn->prepare($sql);
            $stmt->bindParam(':image_url', $target_file); // Use the uploaded file path
            $stmt->bindParam(':title', $title);
            $stmt->bindParam(':subtitle', $subtitle);
            $stmt->bindParam(':link', $link);

            try {
                $stmt->execute();
                $alert_message = "New slide added successfully!";
                $alert_type = "success";
            } catch (PDOException $e) {
                $alert_message = "Error: " . $e->getMessage();
                $alert_type = "danger";
            }
        } else {
            $alert_message = "Sorry, there was an error uploading your file.";
            $alert_type = "danger";
        }
    }
}

// Generate JavaScript code to display the alert and redirect
echo "<script>";
echo "alert('" . $alert_message . "');";
echo "window.location.href = 'admin.php';";
echo "</script>";
?>
