<?php
// Include the database connection file
require_once 'conn.php'; // Assuming your connection file is named 'conn.php'

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Validate and sanitize input data
    $name = $_POST['name'];
    $position = $_POST['position'];
    // Check if an image file was uploaded
    if(isset($_FILES["image"]) && $_FILES["image"]["error"] == 0){
        $target_dir = "uploads/";
        $target_file = $target_dir . basename($_FILES["image"]["name"]);
        $imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));
        // Check file size
        if ($_FILES["image"]["size"] > 500000) {
            echo "Sorry, your file is too large.";
        }
        // Allow certain file formats
        if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
        && $imageFileType != "gif"  && $imageFileType != "webp"  && $imageFileType != "avif" ) {
            echo "Sorry, only JPG, JPEG, PNG, WEBP, AVIF & GIF files are allowed.";
        }
        // Move the uploaded file to the uploads directory
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            $image = $target_file;
        } else {
            echo "Sorry, there was an error uploading your file.";
        }
    } else {
        echo "Please select an image file.";
    }

    // Prepare an SQL statement to insert the speaker data into the 'speakers' table
    $sql = "INSERT INTO speakers (name, position, image) VALUES (:name, :position, :image)";
    $stmt = $conn->prepare($sql);

    // Bind parameters and execute the statement
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':position', $position);
    $stmt->bindParam(':image', $image);

    if ($stmt->execute()) {
        echo '<script>alert("Speaker added successfully."); window.location.href = "admin.php";</script>';
    } else {
        echo '<script>alert("Error: Unable to add speaker."); window.location.href = "admin.php";</script>';
    }
}

?>


