<?php
// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Include database connection
    include "conn.php";

    // Set parameters
    $title = $_POST["title"];
    $date = $_POST["date"];
    $ticket_price = $_POST["ticket_price"];
    $start_time = $_POST["start_time"];
    $location = $_POST["location"];
    $image = $_FILES["image"]["name"]; // Assuming "image" is the name attribute of the file input
    $registration_link = $_POST["registration_link"];

    // Move uploaded file to desired location
    $target_dir = "uploads/"; // Directory where the file will be stored
    $target_file = $target_dir . basename($_FILES["image"]["name"]);
    move_uploaded_file($_FILES["image"]["tmp_name"], $target_file);

    // Prepare the SQL statement with named placeholders
    $sql = "INSERT INTO upcoming_events (title, date, ticket_price, start_time, location, image, registration_link) VALUES (:title, :date, :ticket_price, :start_time, :location, :image, :registration_link)";
    $stmt = $conn->prepare($sql);

    // Bind parameters
    $stmt->bindParam(':title', $title);
    $stmt->bindParam(':date', $date);
    $stmt->bindParam(':ticket_price', $ticket_price);
    $stmt->bindParam(':start_time', $start_time);
    $stmt->bindParam(':location', $location);
    $stmt->bindParam(':image', $target_file); // Use $target_file here
    $stmt->bindParam(':registration_link', $registration_link);

    // Execute the statement
    if ($stmt->execute()) {
        echo '<script>alert("Event added successfully.");</script>';
        echo '<script>window.location = "index.php";</script>'; // Redirect to index.php after successful insertion
    } else {
        echo '<script>alert("Error: Unable to add event.");</script>';
    }

    // Close statement and database connection
    $stmt->closeCursor(); // Optional for PDO
    $conn = null; // Optional for PDO
}
?>
