<?php
// Include database connection
include 'conn.php';

// Initialize an array to store the result
$response = array();

try {
    // Prepare SQL statement to fetch the latest modal info
    $stmt = $conn->query("SELECT * FROM modal_info ORDER BY date DESC LIMIT 1");
    
    // Check if there are rows returned
    if ($stmt->rowCount() > 0) {
        // Fetch the data
        $row = $stmt->fetch(PDO::FETCH_ASSOC);

        // Format the date as needed (assuming it's stored in DATETIME format)
        // Adjust date format as per your requirement
        $formattedDate = date('Y-m-d H:i:s', strtotime($row['date']));

        // Prepare response object
        $response['id'] = $row['id'];
        $response['title'] = $row['title'];
        $response['image_url'] = $row['image_url'];
        $response['video_url'] = $row['video_url'];
        $response['date'] = $formattedDate; // Formatted date
        $response['time_details'] = $row['time_details'];
        $response['footer_text'] = $row['footer_text'];
    } else {
        // No rows found
        $response['error'] = true;
        $response['message'] = "No modal information found.";
    }
} catch (PDOException $e) {
    // Database error
    $response['error'] = true;
    $response['message'] = "Database error: " . $e->getMessage();
}

// Set header to JSON
header('Content-Type: application/json');

// Output JSON response
echo json_encode($response);
?>
