<?php
// Include the connection file
require_once 'conn.php';

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Process the form data
    $event_title = $_POST['event_title'];
    $event_theme = $_POST['event_theme'];
    $event_speaker = $_POST['event_speaker'];
    $event_date = $_POST['event_date'];
    $event_location = $_POST['event_location'];
    $event_description = $_POST['event_description'];

    // Upload event image
    $image_name = $_FILES['event_image']['name'];
    $image_tmp_name = $_FILES['event_image']['tmp_name'];
    $image_path = "uploads/" . $image_name; // Set the image upload path

    // Move uploaded image to the specified path
    move_uploaded_file($image_tmp_name, $image_path);

    // Insert data into the database
    $sql = "INSERT INTO mgo (event_title, event_theme, event_speaker, event_date, event_location, event_description, event_image) 
            VALUES (:event_title, :event_theme, :event_speaker, :event_date, :event_location, :event_description, :event_image)";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':event_title', $event_title);
    $stmt->bindParam(':event_theme', $event_theme);
    $stmt->bindParam(':event_speaker', $event_speaker);
    $stmt->bindParam(':event_date', $event_date);
    $stmt->bindParam(':event_location', $event_location);
    $stmt->bindParam(':event_description', $event_description);
    $stmt->bindParam(':event_image', $image_path); // Store the image path in the database
    if ($stmt->execute()) {
        // If the data is inserted successfully, redirect to a success page
        header("Location: index.php");
        exit();
    } else {
        // If there's an error, display a message
        echo "Error: " . $sql . "<br>" . $stmt->errorInfo();
    }
}
?>
